.revolutionary {
  margin-bottom: 88px;
  margin-top: 79px;

  @media (min-width: $tablet-bp) {
    margin-bottom: 98px;
    margin-top: 93px;
  }

  @media (min-width: $desktop-bp) {
    margin-bottom: 70px;
    margin-top: 66px;
  }
}

.revolutionary__header {
  @include text-style(26px, 28px, #635c73, 700);
  text-transform: uppercase;

  margin: 0;
  margin-bottom: 27px;

  @media (min-width: $tablet-bp) {
    font-size: 42px;
    line-height: 42px;
    margin-bottom: 33px;
  }

  @media (min-width: $desktop-bp) {
    font-size: 54px;
    line-height: 54px;

    margin-bottom: 35px;
  }
}

.revolutionary__text {
  @include text-style(14px, 20px, #323232);
  font-family: $secondary-font;

  margin: 0;
  margin-bottom: 36px;

  @media (min-width: $tablet-bp) {
    font-size: 21px;
    line-height: 32px;

    margin-bottom: 24px;
  }

  @media (min-width: $desktop-bp) {
    margin-bottom: 13px;
  }
}

.revolutionary__bttns-wrapper {
  @include flex(center);
  flex-wrap: wrap;
  column-gap: 10px;
  row-gap: 15px;

  margin: 0 auto;
  width: 300px;

  @media (min-width: $tablet-bp) {
    width: auto;
  }
}

.revolutionary__bttn-container {
  @include flex;
}

.revolutionary__link {
  @include text-style(14px, 21px, rgb(87, 96, 106), 700);
  background-color: rgb(246, 248, 250);
  border: 1px solid rgba(27, 31, 36, 0.15);
  border-right: none;
  border-bottom-left-radius: 4px;
  border-top-left-radius: 4px;

  @include flex(center);
  column-gap: 6px;
  row-gap: 16px;

  padding: 3px 12px;
}

.revolutionary__counter {
  @include text-style(12px, 21px, rgb(36, 41, 47), 500);
  border: 1px solid rgba(27, 31, 36, 0.15);
  border-bottom-right-radius: 4px;
  border-top-right-radius: 4px;

  padding: 3px 12px;
}
